Skip to main content
`Ctrl`+`K`

# PCShellSetMatApplyTranspose

Sets routine to use as preconditioner transpose.

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCShellSetMatApplyTranspose(PC pc, PetscErrorCode (*matapplytranspose)(PC pc, Mat xin, Mat xout))

Logically Collective

## Input Parameters

- pc - the preconditioner context

- matapplytranspose - the application-provided preconditioning transpose routine

## Calling sequence of `matapplytranspose`

- pc - the preconditioner

- xin - input matrix

- xout - output matrix

## Note

You can get the `PCSHELL` context set with `PCShellSetContext()` using `PCShellGetContext()` if needed by `matapplytranspose`.

## See Also

KSP: Linear System Solvers, `PCSHELL`, `PCShellSetApplyRichardson()`, `PCShellSetSetUp()`, `PCShellSetApply()`, `PCShellSetContext()`, `PCShellSetApplyBA()`, `PCShellGetContext()`

## Level

intermediate

## Location

src/ksp/pc/impls/shell/shellpc.c

## Examples

src/ksp/ksp/tutorials/ex79.c

## Implementations

PCShellSetMatApplyTranspose_Shell(PC pc, PetscErrorCode (*matapplytranspose)() in src/ksp/pc/impls/shell/shellpc.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages